# CONTRIBUTING

Thank you for your interest in contributing to this project. 

## Getting Started
1. Create a GitHub account if you don't already have one.
2. Fork the repository.
3. Create a new branch with a name related to the feature/change you are proposing.
4. Git clone the repository to your local computer.
5. Make sure you have `python` and `make` installed.
6. Run `make develop` to install development dependencies.

## Making Changes
1. Make changes to implement new feature/change.
2. Add tests to verify functionality.
3. Run `make coverage` and ensure that coverage is > 50%. 
4. Run `make lint` and `make format` to autoformat code style.

## Pushing Changes
1. Push change to feature branch of forked repository.
2. Open a PR to the repository and await someone to review your changes/give feedback.